package com.heyu.api.data.service.impl.ip;
/**
* <p>
* ip表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.ip.IpDatabaseDao;
import com.heyu.api.data.entity.ip.IpDatabaseEntity;
import com.heyu.api.data.service.ip.IpDatabaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class IpDatabaseServiceImpl extends ServiceImpl<IpDatabaseDao, IpDatabaseEntity> implements IpDatabaseService {


    @Autowired
	private IpDatabaseDao ipDatabaseDao;



	@Override
	public IpDatabaseEntity selectIpDatabaseById(Long id){
		return ipDatabaseDao.selectIpDatabaseById(id);
	}



	@Override
	public Long insertIpDatabase(IpDatabaseEntity ipDatabase){
		return ipDatabaseDao.insertIpDatabase(ipDatabase);
	}



	@Override
	public Long insertOrUpdateIpDatabase(IpDatabaseEntity ipDatabase){
		return ipDatabaseDao.insertOrUpdateIpDatabase(ipDatabase);
	}



	@Override
	public int updateIpDatabaseById(IpDatabaseEntity ipDatabase){
		return ipDatabaseDao.updateIpDatabaseById(ipDatabase);
	}



	@Override
	public int updateCoverIpDatabaseById(IpDatabaseEntity ipDatabase){
		return ipDatabaseDao.updateCoverIpDatabaseById(ipDatabase);
	}



	@Override
	public int deleteIpDatabaseById(Long id){
		return ipDatabaseDao.deleteIpDatabaseById(id);
	}



}
